<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'chemical',

    /*
     * Package.
     */
    'package'   => 'advertisement',

    /*
     * Modules.
     */
    'modules'   => ['advertisement'],

    
    'advertisement'       => [
        'model' => [
            'model'                 => \Chemical\Advertisement\Models\Advertisement::class,
            'table'                 => 'advertisements',
            'presenter'             => \Chemical\Advertisement\Repositories\Presenter\AdvertisementPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'user_type',  'url',  'order',  'image',  'status',  'home_page',  'inner_page',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'advertisement/advertisement',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Chemical',
            'package'   => 'Advertisement',
            'module'    => 'Advertisement',
        ],

    ],
];
