<?php

namespace Chemical\Advertisement\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AdvertisementTransformer extends TransformerAbstract
{
    public function transform(\Chemical\Advertisement\Models\Advertisement $advertisement)
    {
        return [
            'id'                => $advertisement->getRouteKey(),
            'key'               => [
                'public'    => $advertisement->getPublicKey(),
                'route'     => $advertisement->getRouteKey(),
            ], 
            'id'                => $advertisement->id,
            'user_id'           => $advertisement->user_id,
            'user_type'         => $advertisement->user_type,
            'url'               => $advertisement->url,
            'order'             => $advertisement->order,
            'image'             => $advertisement->image,
            'status'            => $advertisement->status,
            'home_page'         => $advertisement->home_page,
            'inner_page'        => $advertisement->inner_page,
            'deleted_at'        => $advertisement->deleted_at,
            'created_at'        => $advertisement->created_at,
            'updated_at'        => $advertisement->updated_at,
            'url'               => [
                'public'    => trans_url('advertisement/'.$advertisement->getPublicKey()),
                'user'      => guard_url('advertisement/advertisement/'.$advertisement->getRouteKey()),
            ], 
            'status'            => trans('app.'.$advertisement->status),
            'created_at'        => format_date($advertisement->created_at),
            'updated_at'        => format_date($advertisement->updated_at),
        ];
    }
}